@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  position: relative;
  display: block;
}

// selected area
.app-selected {
  @include flex(center);
  @include padding(0 3px 0 11px);
  width: 148px;
  height: 32px;
  border-radius: 6px;
  background-color: $havelock-blue;
  cursor: pointer;
  user-select: none;

  &:hover {
    background-color: lighten($havelock-blue, 10);
  }

  // value flex
  .app-value {
    flex: 1 0 auto;
  }

  // icon
  .app-icon {
    @include box(24px);

    // opened
    &.opened {
      transform: rotate(180deg);
    }
  }
}

// letter circle
.app-letter {
  @include ubuntuMedium;
  @include ball(16px);
  @include flex(center, center);
  font-size: 10px;
  line-height: 11px;
  color: $free-speech-blue;
  margin-right: 7px;
  background-color: rgba($white, 0.5);
}

// value
.app-value {
  @include ubuntuMedium;
  font-size: 12px;
  line-height: 13px;
  color: $white;
}

// search container
.app-search-container {
  position: absolute;
  border-radius: 4px;
  width: 166.5px;
  left: 0;
  top: calc(100% + 15px);
  box-shadow: 0 1px 15px rgba($black, 0.08);
  background-color: $white;
}

// search area
.app-search {
  @include flex(center);
  @include padding(0 8.5px 0 12px);
  @include borderBottom(1px solid $solitude);
  height: 37px;

  // input
  input {
    @include robotoRegular;
    height: 100%;
    width: calc(100% - 22px);
    font-size: 12px;
    line-height: 14px;
    color: $eclipse;
  }

  // icon
  .app-icon {
    @include box(16px);
    margin-left: 6px;
  }
}

// options
.app-options {
  ::ng-deep {
    .ps-content {
      max-height: 36px * 4;
    }
  }
}

// location
.app-location {
  @include ubuntuMedium;
  @include flex(center);
  @include padding(0 14px);
  cursor: pointer;
  height: 36px;
  font-size: 12px;
  line-height: 13px;
  color: $eclipse;

  // letter for location
  .app-letter {
    color: $white;
    background-color: $egyptian-blue;
    margin-right: 5px;
  }

  // selected
  &.selected,
  &:hover {
    background-color: $alice-blue;
  }
}
